Next: _gfortran_caf_send, Previous: _gfortran_caf_deregister, Up: Function ABI Documentation

#### 7.2.10 `_gfortran_caf_is_present` — Query whether an allocatable or pointer component in a derived type coarray is allocated

Description:
  Used to query the coarray library whether an allocatable component in a derived type coarray is allocated on a remote image.
Syntax:
  `void _gfortran_caf_is_present (caf_token_t token, int image_index, gfc_reference_t *ref)`
Arguments:

  token | An opaque pointer identifying the coarray.
  image_index | The ID of the remote image; must be a positive number.
  ref | A chain of references to address the allocatable or pointer component in the derived type coarray. The object reference needs to be a scalar or a full array reference, respectively.